{% extends "base.html" %}
{% block title %}Edition d'une carte{% endblock %}
{% block scripts %}
    <script type="text/javascript" src="{{ url_for('static', filename='colopicker.js') }}"></script>
    <script type="text/javascript">
      // A retester plus tard...
      $(function() {
        $('#backColor').colorpicker();
        //alert('a');
        //$('#backColor').colorpicker();
      });
    $(document).ready(function(){
      $('select').formSelect();
    });

  </script>
{% endblock %}
{% block content %}
  <div class="row">
    <div class="col s1"></div>
    <div class="col s10">
      <div class="hedit">{{ crd['title'] }}</div>
    </div>  
  </div>
  <form method="POST" action="{{ url_for('cardEdit', id=id if id>0 else None) }}">
    <div class="row">
      <div class="col s1"></div>
      <div class="input-field col s8">
        <input placeholder="Titre de la carte" id="title" type="text" class="validate" name="title" value="{{ crd['title'] }}" >
        <label for="port">Titre :</label>
        <span class="helper-text" >Titre de la carte, qui apparaitra comme titre du graphique associé.</span>
      </div>
      <div class="input-field col s3 file-path-wrapper" id="demo-component"><!--ToDo: un composant pour choisir la couleur-->
        <input placeholder="#E2B8E9" id="backColor" type="text" class="validate" name="backColor" value="{{ (crd['backColor'] or ' ') }}" >
        <label for="port">Couleur de fond :</label>
        <span class="helper-text" >Couleur de fond de la carte dans l'écran principal.</span>
      </div>
    </div>
     <div class="row">
      <div class="col s1"></div>
      <div class="input-field col s8">
        <input placeholder="Légende" id="yLabel" type="text" class="validate" name="yLabel" value="{{ crd['yLabel'] }}" >
        <label for="port">Légende :</label>
        <span class="helper-text" >Légende verticale affichée à gauche du graphique associé.</span>
      </div>
      <div class="input-field col s3">
        <input placeholder="1" id="days" type="text" class="validate" name="days" value="{{ crd['days'] }}" >
        <label for="port">Périodes :</label>
        <span class="helper-text" >Nombres de jour à afficher, proposés dans le menu, séparés par une virgule.</span>
      </div>
    </div>

    <!--stream-->
    <div class="row">
      <div class="col s1"></div>
      <div class="input-field col s8">
        <select id="stream" name="stream">
        {% for entry in g.flux %}
          <option value="{{ entry }}" {% if crd['data'][0]['stream'] == entry %}selected{% endif %}>{{ g.flux[entry]['name'] }} ( {{ g.flux[entry]['desc'] }} )</option>
        {% else %}
          <option value="-" disabled>Aucun flux disponible</option>
        {% endfor %}
        </select>
        <label class="active" for="port">Flux d'origine</label>
        <span class="helper-text" >Choix du flux fournissant la donnée à grapher. Le choix se fait parmi la liste des flux enregistrés.</span>
      </div>

      <!--graphType-->
      <div class="input-field col s3">
        <!--<input placeholder="?" type="text" class="validate" name="graphType" value="{{ crd['data'][0]['graphType'] }}" >-->
        <select id="graphType" name="graphType">
          <option value="smooth" default {% if crd['data'][0]['graphType'] == 'smooth' %}selected{% endif %}>Lissé</option>Points reliés par une courbe de bézier. Typiquement, une température
          <option value="step" {% if crd['data'][0]['graphType'] == 'step' %}selected{% endif %}>Escalier</option> Un trait horizontal est tiré jusqu'au prochain point. Typiquement, un compteur d'électricité
          <option value="bar" disabled {% if crd['data'][0]['graphType'] == 'bar' %}selected{% endif %}>Histogramme</option>
        </select>
          
        <label class="active" for="port">Type de graphique :</label>
        <span class="helper-text" >Choix du type de graphique, déterminant la façon dont est tracée la courbe.</span>
      </div>

    </div>

    <!--elem-->
    <div class="row">
      <div class="col s1"></div>
      <div class="input-field col s4">
        <input placeholder="?" id="elem" type="text" class="validate" name="elem" value="{{ crd['data'][0]['elem'] }}" >
        <label for="port">Elément à tracer :</label>
        <span class="helper-text" >Elément du flux à utiliser pour tracer la courbe.</span>
      </div>

      <div class="input-field col s4">
        <input placeholder="?" id="unit" type="text" class="validate" name="unit" value="{{ crd['data'][0]['unit'] }}" >
        <label for="port">Unité à afficher :</label>
        <span class="helper-text" >Unité des chiffres de la courbe.</span>
      </div>

      <div class="input-field col s3">
        <input placeholder="?" id="dec" type="text" class="validate" name="dec" value="{{ crd['data'][0]['dec'] }}" >
        <label for="port">Nombre de décimales :</label>
        <span class="helper-text" >Nombre de décimales à afficher pour chaque point de la courbe.</span>
      </div>
    </div>

    <div class="row">
      <div class="col s1"></div>
      <div class="input-field col s11">
        <input type="hidden" name="id" value="{{ id }}" />
        <button class="btn {% if g.settings['noEdit'] == 'true' %}disabled {% endif %} waves-effect waves-light enezgrbutton" type="submit" name="action">Enregistrer
          <i class="material-icons right">check</i>
        </button> &nbsp; 
        <button class="btn {% if g.settings['noEdit'] == 'true' %}disabled {% endif %} waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('cardDel', id=id) }}'">Supprimer
          <i class="material-icons right">delete</i>
        </button> 
        &nbsp; 
        <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('cardList') }}'">Annuler
          <i class="material-icons right">cancel</i>
        </button>
        &nbsp; &nbsp; 
        <button class="btn waves-effect waves-light enezgrbutton" type="button" onclick="parent.open('{{ url_for('help') }}#help_card')">Aide
          <i class="material-icons right">help</i>
        </button>
      </div>
    </div>
  </form>  

{% endblock %}